Bug 129309 - [patch] textproc/docbook-xsl - various improvements
Summary: [patch] textproc/docbook-xsl - various improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-30 19:20 UTC by Gabor Kovesdan
Modified: 2009-01-22 13:20 UTC (History)
1 user (show)

See Also:


Attachments
docbook-xsl.diff (136.19 KB, patch)
2008-11-30 19:20 UTC, Gabor Kovesdan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kovesdan freebsd_committer 2008-11-30 19:20:03 UTC
- Modularize. User can choose between the selected
  modules via OPTIONS.
- Depend on the textproc/docbook meta-port. The user
  isn't forced to use DocBook 4.2 or SDocBook 1.1 any
  more, she can install the stylesheets with any
  desired DocBook version.
- Use SUB_LIST to post-edit the installation scripts.
- Bump PORTREVISION
- Style changes
Comment 1 Edwin Groothuis freebsd_committer 2008-11-30 19:20:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skv

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gabor Kovesdan freebsd_committer 2008-11-30 19:26:03 UTC
Sorry, this patch is not 100% correct, some files are duplicated and 
some important ones are not installed. I'll submit a revised patch tomorrow.

Regards,

-- 
Gabor Kovesdan

EMAIL: gabor@FreeBSD.org
WWW:   http://www.kovesdan.org
Comment 3 Gabor Kovesdan freebsd_committer 2008-12-02 10:45:48 UTC
Here is the fixed patch:
http://www.kovesdan.org/patches/docbook-xsl.diff

Regards,

-- 
Gabor Kovesdan

EMAIL: gabor@FreeBSD.org
WWW:   http://www.kovesdan.org
Comment 4 dfilter service freebsd_committer 2009-01-22 13:13:02 UTC
gabor       2009-01-22 13:12:53 UTC

  FreeBSD ports repository

  Modified files:
    textproc/docbook-xsl Makefile pkg-plist 
    textproc/docbook-xsl/files pkg-deinstall.in pkg-install.in 
  Log:
  - Modularize. User can choose between the selected
    modules via OPTIONS.
  - Depend on the textproc/docbook meta-port. The user
    isn't forced to use DocBook 4.2 or SDocBook 1.1 any
    more, she can install the stylesheets with any
    desired DocBook version.
  - Use SUB_LIST to post-edit the installation scripts.
  - Bump PORTREVISION
  - Style changes
  
  PR:             ports/129309
  Submitted by:   gabor
  Approved by:    maintainer timeout (skv, 7 weeks)
  
  Revision  Changes     Path
  1.47      +161 -22    ports/textproc/docbook-xsl/Makefile
  1.3       +1 -4       ports/textproc/docbook-xsl/files/pkg-deinstall.in
  1.16      +6 -8       ports/textproc/docbook-xsl/files/pkg-install.in
  1.37      +1644 -351  ports/textproc/docbook-xsl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Gabor Kovesdan freebsd_committer 2009-01-22 13:17:41 UTC
State Changed
From-To: open->closed
Comment 6 Gabor Kovesdan freebsd_committer 2009-01-22 13:17:41 UTC
Responsible Changed
From-To: skv->gabor

Committed.